Subject: bug#1529: closed (Re: bug#5705: 23.1.93; recursive load error when loading tramp)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 10 Sep 2010 06:37:03 +0000

Your bug report

#5705: 23.0.60; Recursive load: tramp.elc

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5705: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5705
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5705: 23.1.93; recursive load error when loading tramp
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Fri, 10 Sep 2010 02:39:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.1

2010-09-08  Michael Albinus  <michael.albinus at gmx.de>

	Migrate to Tramp 2.2.  Rearrange load dependencies.
	(Bug#1529, Bug#5448, Bug#5705)

>From [email-masked] Tue Dec  9 19:24:10 2008
Date: Tue, 09 Dec 2008 19:24:00 -0800 (PST)
From: [email-masked]
To: [email-masked]
CC: [email-masked]
Subject: 23.0.60; Recursive load: tramp.elc

I get this sometimes, and it's bloody annoying, because once I get it
I don't know how to actually use tramp without restarting Emacs.

Loading tramp...
require: Recursive load: "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc"

In GNU Emacs 23.0.60.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11)
 of 2008-12-06 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20081205-1)
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.60/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.60/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  rcirc-track-minor-mode: t
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  tooltip-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
[ 1 ~ d e b i a n SPC RET ESC O B ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B ESC O B ESC O B C-x 2 ESC a C-x b # 
d e RET H m m , SPC m a y b e SPC i t SPC i s SPC U 
b u n t u ' s SPC f a u l t . SPC SPC I DEL G o o g 
l e SPC c a n ' t SPC f i n d SPC a n y SPC r e f e 
r e n c e SPC DEL s SPC t o SPC D e b i a n SPC h a 
v i n g SPC t h i s SPC s t u p i DEL DEL DEL DEL DEL 
m o u n t . RET l DEL B l o o d y SPC U b u n t u SPC 
g DEL c r a p RET C-x ESC O B C-x C-f / s t r C-g C-x 
C-f / s C-h e ESC O A ESC O A ESC O A ESC O A ESC O 
A ESC O C C-@ ESC O B ESC O B ESC w ESC > ESC x r e 
p o r t SPC e m a c s SPC b u g RET

Recent messages:
Mark saved where search started
Mark set
Error during redisplay: (quit)
Mark saved where search started [3 times]
Loading tramp...
require: Recursive load: "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc"
Quit
Loading tramp...
require: Recursive load: "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp-cmds.elc", "/usr/share/emacs/23.0.60/lisp/net/tramp.elc"
Mark set [2 times]